MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026364Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-06-23 12:232016-04-20 15:49
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026364: Foundation Classes, TKMath - Optimize BVH binned algorithm
DescriptionBVH Binnded Builder has some inefficiencies which need to be improved. For example, bin information should be computed in advance and cached instead of recomputing it during evaluation of split plane.
Steps To ReproduceN/A
Additional information
and documentation updates
This patch introduces some specific optimizations into BVH binned builders (BVH_BinnedBuilder and BVH_SpatialMedianBuilder) that allow to improve BVH construction performance. The performance gain increases with the number of bins (e.g. for 32 bins the gain is about 100%).
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon BVH_Perf.png (121,960 bytes) 2015-06-23 13:19

- Relationships
related to 0026292closedbugmaster Visualization - Parallelize queue-based BVH builders (subclasses of BVH_QueueBuilder) 
related to 0026195closedbugmaster Visualization - optimize selection algorithms 

-  Notes
(0042345)
git (administrator)
2015-06-23 12:34

Branch CR26364 has been created by dbp.

SHA-1: 2a4ac974bd6f6428bdaeec32732d11baa1d8aa5b


Detailed log of new commits:

Author: dbp
Date: Tue Jun 23 12:34:06 2015 +0300

    0026364: Foundation Classes, TKMath - Optimize BVH binned algorithm
(0042346)
dbp (developer)
2015-06-23 12:34

Dear kgv,

please review the patch in branch CR26364.
(0042378)
git (administrator)
2015-06-23 17:46

Branch CR26364 has been updated forcibly by dbp.

SHA-1: 7a2700ff4ca216761d9da05c5dc55b642c2d0ad1
(0042520)
git (administrator)
2015-06-29 09:54

Branch CR26364_1 has been created by dbp.

SHA-1: 9d19189f9846a7bd601c43f5b324d92da0c3aed8


Detailed log of new commits:

Author: dbp
Date: Tue Jun 23 12:34:06 2015 +0300

    0026364: Foundation Classes, TKMath - Optimize BVH binned algorithm

Author: dbp
Date: Fri Jun 26 18:33:45 2015 +0300

    Fixes for GCC compiler.

Author: dbp
Date: Fri Jun 19 10:24:04 2015 +0300

    0026292: Visualization - Parallelize queue-based BVH builders (subclasses of BVH_QueueBuilder)
(0042521)
dbp (developer)
2015-06-29 09:55

Dear kgv,

the updated version was uploaded to CR26364_1.
(0042907)
git (administrator)
2015-07-10 14:01

Branch CR26364_2 has been created by dbp.

SHA-1: ca3dec79f8c1c8dc4409f4fb194e092fdbc865af


Detailed log of new commits:

Author: dbp
Date: Tue Jun 23 12:34:06 2015 +0300

    0026364: Foundation Classes, TKMath - Optimize BVH binned algorithm
(0042908)
dbp (developer)
2015-07-10 14:02

Dear kgv,

please review the patch in branch CR26364_2.
(0042970)
kgv (developer)
2015-07-13 15:37

Please test the patch.
(0043045)
apv (tester)
2015-07-15 11:52

Dear BugMaster,

Branch CR26364_2 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: ca3dec79f8c1c8dc4409f4fb194e092fdbc865af

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 96342166 / 96724589 [-0.40%]
Total CPU difference: 17311.07999999991 / 17424.439999999777 [-0.65%]

Testing on Windows:
Total MEMORY difference: 56449236 / 56479763 [-0.05%]
Total CPU difference: 16095.949178498897 / 15965.969145298928 [+0.81%]
(0043161)
git (administrator)
2015-07-17 14:49

Branch CR26364_3 has been created by kgv.

SHA-1: 2fa91f2d8ff6495cacbe17470b2a48f1dd3e00f0


Detailed log of new commits:

Author: dbp
Date: Tue Jun 23 12:34:06 2015 +0300

    0026364: Foundation Classes, TKMath - Optimize BVH binned algorithm

Author: dbp
Date: Fri Jul 17 14:29:50 2015 +0300

    0026292: Visualization - Parallelize queue-based BVH builders (subclasses of BVH_QueueBuilder)
(0043525)
git (administrator)
2015-07-27 13:39

Branch CR26364 has been deleted by kgv.

SHA-1: 7a2700ff4ca216761d9da05c5dc55b642c2d0ad1
(0043526)
git (administrator)
2015-07-27 13:39

Branch CR26364_1 has been deleted by kgv.

SHA-1: 9d19189f9846a7bd601c43f5b324d92da0c3aed8
(0043527)
git (administrator)
2015-07-27 13:39

Branch CR26364_2 has been deleted by kgv.

SHA-1: ca3dec79f8c1c8dc4409f4fb194e092fdbc865af
(0043528)
git (administrator)
2015-07-27 13:39

Branch CR26364_3 has been deleted by kgv.

SHA-1: 2fa91f2d8ff6495cacbe17470b2a48f1dd3e00f0

- Related Changesets
occt: master a1c05aa5
Timestamp: 2015-06-23 09:34:06
Author: dbp
Committer: bugmaster
Details ] Diff ]
0026364: Foundation Classes, TKMath - Optimize BVH binned algorithm
mod - src/BVH/BVH_BinnedBuilder.hxx Diff ] File ]
mod - src/BVH/BVH_BinnedBuilder.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-23 12:23 dbp New Issue
2015-06-23 12:23 dbp Assigned To => dbp
2015-06-23 12:24 dbp Relationship added related to 0026292
2015-06-23 12:34 git Note Added: 0042345
2015-06-23 12:34 dbp Note Added: 0042346
2015-06-23 12:34 dbp Assigned To dbp => kgv
2015-06-23 12:34 dbp Status new => resolved
2015-06-23 12:34 dbp Steps to Reproduce Updated View Revisions
2015-06-23 13:19 dbp File Added: BVH_Perf.png
2015-06-23 14:08 dbp Relationship added related to 0026195
2015-06-23 17:46 git Note Added: 0042378
2015-06-29 09:54 git Note Added: 0042520
2015-06-29 09:55 dbp Note Added: 0042521
2015-07-10 14:01 git Note Added: 0042907
2015-07-10 14:02 dbp Assigned To kgv => dbp
2015-07-10 14:02 dbp Status resolved => feedback
2015-07-10 14:02 dbp Note Added: 0042908
2015-07-10 14:02 dbp Assigned To dbp => kgv
2015-07-10 14:02 dbp Status feedback => resolved
2015-07-13 15:37 kgv Note Added: 0042970
2015-07-13 15:37 kgv Assigned To kgv => bugmaster
2015-07-13 15:37 kgv Status resolved => reviewed
2015-07-13 17:05 apv Test case number => Not needed
2015-07-13 17:05 apv Assigned To bugmaster => apv
2015-07-15 11:52 apv Note Added: 0043045
2015-07-15 11:52 apv Assigned To apv => bugmaster
2015-07-15 11:52 apv Status reviewed => tested
2015-07-17 14:49 git Note Added: 0043161
2015-07-23 11:55 bugmaster Changeset attached => occt master a1c05aa5
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043525
2015-07-27 13:39 git Note Added: 0043526
2015-07-27 13:39 git Note Added: 0043527
2015-07-27 13:39 git Note Added: 0043528
2015-12-24 10:24 dbp Additional Information Updated View Revisions
2015-12-24 10:26 dbp Additional Information Updated View Revisions
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker